Bug 238484 - devel/yosys: Update to latest git master
Summary: devel/yosys: Update to latest git master
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emmanuel Vadot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-11 06:37 UTC by Emmanuel Vadot
Modified: 2019-06-28 04:30 UTC (History)
1 user (show)

See Also:
tobik: maintainer-feedback-


Attachments
update-to-latest (3.86 KB, patch)
2019-06-11 06:37 UTC, Emmanuel Vadot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Vadot freebsd_committer 2019-06-11 06:37:15 UTC
Created attachment 204974 [details]
update-to-latest

Use the last git master so we can use nextpnr and project trellis for
ECP5 FPGAs.
Comment 1 commit-hook freebsd_committer 2019-06-26 14:22:58 UTC
A commit references this bug:

Author: manu
Date: Wed Jun 26 14:22:45 UTC 2019
New revision: 505157
URL: https://svnweb.freebsd.org/changeset/ports/505157

Log:
  yosys: Update to latest git master

  Use the last git master so we can use nextpnr and project trellis for
  ECP5 FPGAs.

  PR:		238484
  Approved by:	maintainer timeout (jsorocil@gmail.com, 2 weeks)

Changes:
  head/devel/yosys/Makefile
  head/devel/yosys/distinfo
  head/devel/yosys/pkg-plist
Comment 2 commit-hook freebsd_committer 2019-06-28 04:24:37 UTC
A commit references this bug:

Author: tobik
Date: Fri Jun 28 04:24:05 UTC 2019
New revision: 505260
URL: https://svnweb.freebsd.org/changeset/ports/505260

Log:
  devel/yosys: Fix version going backwards after r505157

  Follow the Porter's Handbook [1] to get a version > 0.8 to avoid
  bumping PORTEPOCH.

  [1] https://www.freebsd.org/doc/en/books/porters-handbook/makefile-distfiles.html#makefile-master_sites-github-ex5

  PR:		238484
  Pointy hat:	manu

Changes:
  head/devel/yosys/Makefile
  head/devel/yosys/distinfo